### Enumeration

# GWeather Provider

#### Declaration

    flags GWeather.Provider

#### Description

No description available.

#### Members

Name | Description
--- | ---
`GWEATHER_PROVIDER_NONE` | No provider, no weather information available.
`GWEATHER_PROVIDER_METAR` | METAR office, providing current conditions worldwide.
`GWEATHER_PROVIDER_IWIN` | US weather office (old API), providing 7 days of forecast.
`GWEATHER_PROVIDER_MET_NO` | MET.no service, worldwide but requires attribution and a subscription to the API users mailing-list.
`GWEATHER_PROVIDER_OWM` | OpenWeatherMap, worldwide and possibly more reliable, but requires attribution and is limited in the number of queries.
`GWEATHER_PROVIDER_NWS` | US weather office (new API), providing 7 days of hourly forecast (available since 4.2)
`GWEATHER_PROVIDER_ALL` | Enable all available providers.